package com.akadia.ejbintro.dept;

/*****************************************************************************
 * <PRE>
 * Akadia EJB introduction
 *
 * The primary key class of Dept
 *
 * (c) Akadia AG 2002
 *
 * </PRE>
 * @author      $Author$
 * @version     $Id$
 * <PRE>
 * $Log$
 * </PRE>
 ****************************************************************************/

public class DeptPK implements java.io.Serializable
{
  public int mDeptNo = -1;

  public DeptPK()
  {
  }

  public DeptPK( int deptNo )
  {
    mDeptNo = deptNo;
  }
    
  public boolean equals( Object another )
  {
    if ( another == null || !(another instanceof DeptPK ))
    {
      return false;
    }
    return ( mDeptNo == ((DeptPK) another).mDeptNo );
  }
    
  public int hashCode()
  {
    return mDeptNo;
  }
    
  public int getDeptNo()
  {
    return mDeptNo;
  }

  public void setDeptNo( int deptNo )
  {
    mDeptNo = deptNo;
  }
}
