package com.akadia.ejbintro.emp;

import java.util.Collection;
import java.util.Date;
import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;

/*****************************************************************************
 * <PRE>
 * Akadia EJB introduction
 *
 * The home interface of Emp
 *
 * (c) Akadia AG 2002
 *
 * </PRE>
 * @author      $Author$
 * @version     $Id$
 * <PRE>
 * $Log$
 * </PRE>
 ****************************************************************************/

public interface EmpHome extends javax.ejb.EJBHome
{
  public Emp create( 
      int empNo
    , String eName
    , Date hireDate
    , int deptNo
  )
    throws RemoteException, CreateException;

  public Emp findByPrimaryKey( EmpPK primaryKey )
    throws RemoteException, FinderException;

  public Collection findByDeptNo( int deptNo )
  	throws RemoteException, FinderException;
}